Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.hyades.logging.events.cbe
Class CompletionException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--org.eclipse.hyades.logging.events.cbe.EventException
                        |
                        +--org.eclipse.hyades.logging.events.cbe.CompletionException

All Implemented Interfaces:
  java.io.Serializable

public class CompletionException
extends EventException

Exception thrown by `ContentHandler.completeEvent(org.eclipse.hyades.logging.events.cbe.CommonBaseEvent)` method to indicate that an event could not be completed.

Since:
  1.0.1
Version:
  1.0.1
Author:
  Denilson Nastacio, Paul E. Slauenwhite
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.eclipse.hyades.logging.events.cbe.EventException
`key, parameters, resourceBundleName`

Constructor Summary
`CompletionException()` Simple constructor.
`CompletionException(java.lang.String message)` Constructs a `CompletionException` with the specified detail message.
`CompletionException(java.lang.String key, java.lang.String resourceBundleName)` Creates a `CompletionException` with a detail message, message translation information (resource bundle, message key and message substitutions).
`CompletionException(java.lang.String key, java.lang.String resourceBundleName, java.lang.Object[] parameters)` Creates a `CompletionException` with a detail message, message translation information (resource bundle, message key and message substitutions).
`CompletionException(java.lang.String key, java.lang.String resourceBundleName, java.lang.Object[] parameters, java.lang.Throwable cause)` Creates a `CompletionException` with a detail message, message translation information (resource bundle, message key and message substitutions) and a nested exception.
`CompletionException(java.lang.String message, java.lang.Throwable cause)` Constructs a `CompletionException` with the specified detail message and a nested exception.
`CompletionException(java.lang.Throwable cause)` Construct a new `CompletionException` with a null detail message and a cause field set to the specified Throwable.

Methods inherited from class org.eclipse.hyades.logging.events.cbe.EventException
`getCause, getKey, getLocalizedMessage, getLocalizedMessage, getMessage, initCause, printStackTrace, printStackTrace, printStackTrace`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CompletionException

    public CompletionException()

  Simple constructor.

### CompletionException

    public CompletionException(java.lang.String message)

  Constructs a `CompletionException` with the specified detail message.

Parameters:
  `message` - the detail message

### CompletionException

    public CompletionException(java.lang.String message,
                               java.lang.Throwable cause)

  Constructs a `CompletionException` with the specified detail message and a nested exception.

Parameters:
  `message` - the detail message
  `cause` - The nested exception, or `null`, if a nested exception is not appropriate.

### CompletionException

    public CompletionException(java.lang.String key,
                               java.lang.String resourceBundleName)

  Creates a `CompletionException` with a detail message, message translation information (resource bundle, message key and message substitutions).

Parameters:
  `key` - The message key.
  `resourceBundleName` - The name of the message ResourceBundle to use.

### CompletionException

    public CompletionException(java.lang.Throwable cause)

  Construct a new `CompletionException` with a null detail message and a cause field set to the specified Throwable. Subsequent calls to the `EventException.initCause(java.lang.Throwable)` method on this instance will result in an exception. The value of the cause field may be retrieved at any time via the `EventException.getCause()` method.

Parameters:
  `cause` - the Throwable that was caught and is considered the root cause of this exception. Null is tolerated.

### CompletionException

    public CompletionException(java.lang.String key,
                               java.lang.String resourceBundleName,
                               java.lang.Object[] parameters)

  Creates a `CompletionException` with a detail message, message translation information (resource bundle, message key and message substitutions).

Parameters:
  `key` - The message key.
  `resourceBundleName` - The name of the message ResourceBundle to use.
  `parameters` - An array of elements to be inserted into the message.

### CompletionException

    public CompletionException(java.lang.String key,
                               java.lang.String resourceBundleName,
                               java.lang.Object[] parameters,
                               java.lang.Throwable cause)

  Creates a `CompletionException` with a detail message, message translation information (resource bundle, message key and message substitutions) and a nested exception.

Parameters:
  `key` - The message key.
  `resourceBundleName` - The name of the message ResourceBundle to use.
  `parameters` - An array of elements to be inserted into the message.
  `cause` - The nested exception, or `null`, if a nested exception is not appropriate.

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD